# $Revision: 1.27.2.2 $, $Date: 2003/04/28 12:51:54 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Tree
%define	pnam	Trie
Summary:	Tree::Trie - An implementation of the Trie data structure in Perl
Summary(pl):	Tree::Trie - perlowa implementacja struktury danych Trie
Name:		perl-Tree-Trie
Version:	0.4
Release:	4
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements a trie data structure. The term "trie" comes
from the word re*trie*val, but is generally pronounced like "try". A
trie is a tree structure (or directed acyclic graph), the nodes of
which represent letters in a word. For example, the final lookup for
the word 'bob' would look something like
$ref->{'b'}{'o'}{'b'}{HASH(0x80c6bbc)} (the HASH being an end
marker). Only nodes which would represent words in the trie exist,
making the structure slightly smaller than a hash of the same data
set.

%description -l pl
Ten modu jest implementacj struktury danych Trie. Termin "trie"
pochodzi od sowa "re*trie*val" (odtwarzanie, odzyskiwanie), ale
jest wymawiany jak angielskie sowo "try". Trie to struktura
drzewiasta (lub skierowany graf acykliczny), ktrej wzy reprezentuj
litery w sowie. Na przykad, kocowe wyszukiwanie sowa "bob" bdzie
wyglda podobnie do $ref->{'b'}{'o'}{'b'}{HASH(0x80c6bbc)} (gdzie
HASH jest znacznikiem koca). W strukturze istniej tylko wzy
reprezentujce sowa, co czyni struktur mniejsz ni hasz z tego
samego zbioru danych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Tree/Trie.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Tree-Trie.spec,v $
Revision 1.27.2.2  2003/04/28 12:51:54  ankry
- really rel++

Revision 1.27.2.1  2003/03/13 00:59:18  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.27  2003/02/25 00:42:35  radek
- use the __perl macro

Revision 1.26  2003/02/18 15:39:06  ankry
- massive attack: change CPAN URLs

Revision 1.25  2002/08/15 21:59:27  qboosh
- pl description, release++

Revision 1.24  2002/08/11 19:36:52  radek
- release up

Revision 1.23  2002/08/11 19:33:00  radek
- (automatic) provided informative description

Revision 1.22  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.21  2002/07/11 08:05:47  depesz
- new version; should work; STBR

Revision 1.20  2002/07/10 09:02:39  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:35:29  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:21:32  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:37:15  depesz
adapterized

Revision 1.14  2002/01/18 02:14:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:26  mis
- buildarch noarch; release++

Revision 1.12  2001/04/17 12:18:02  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2000/12/22 00:46:27  kloczek
- back .. this package can't be noarch.

Revision 1.9  2000/12/21 23:55:05  kloczek
- build as noarch.

Revision 1.8  2000/12/21 23:54:29  kloczek
- updatwd to 0.2,
- use new rpm automation and rebuild against perl 5.6.

Revision 1.7  2000/06/09 07:55:00  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/23 18:05:25  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:33  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:02  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:18:48  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:49  pius
- initial release
